summaryrefslogtreecommitdiffstats
path: root/source/l/libuv/libuv.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libuv/libuv.SlackBuild')
-rwxr-xr-xsource/l/libuv/libuv.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/l/libuv/libuv.SlackBuild b/source/l/libuv/libuv.SlackBuild
index 716c1c92a..4e182fa9c 100755
--- a/source/l/libuv/libuv.SlackBuild
+++ b/source/l/libuv/libuv.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libuv
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -85,6 +85,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Revert commits that cause BIND to crash:
+zcat $CWD/libuv.977be04762b9bda29a88d39bb3e2cb7c44b2ad22.patch.gz | patch -p1 --verbose || exit 1
+
if [ ! -r configure ]; then
NOCONFIGURE=1 ./autogen.sh
fi